%bcond_with java 0
%bcond_with falcon 0
%bcond_with ruby 0

Name:		kross-interpreters
Summary:	KDE bindings to non-C++ languages
Version: 4.9.3
Release: 1
Epoch:		1
Group:		Graphical desktop/KDE
License:	LGPLv2
URL:		https://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	java-devel
%if %with ruby
BuildRequires:	ruby-devel
%endif
BuildRequires:	python-devel
BuildRequires:	qscintilla-qt4-devel
%if %with falcon
BuildRequires:	falcon-devel
%endif

%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------

%package java
Summary:	Java kross interpreter

%description java
Java kross interpreter

%files java
%{_kde_libdir}/kde4/kross/kross.jar
%{_kde_libdir}/kde4/krossjava.so

#---------------------------------------------------------------

%package python
Summary:	Python kross-interpreter
Conflicts:	python-kde4 < 1:4.7.0

%description python
Python kross interpreter

%files python
%{_kde_libdir}/kde4/krosspython.so

#--------------------------------------------------------------
%if %with ruby
%package ruby
Summary:	Ruby kross interpreter
Conflicts:	ruby-kde4 < 1:4.7.0

%description ruby
Ruby kross interpreter

%files ruby
%{_kde_libdir}/kde4/krossruby.so
%endif

#------------------------------------------------------------

%if %with falcon
%package -n falcon-kde4
Summary:	Falcon KDE 4 bindings
Group:		Development/KDE and Qt
Requires:	falcon

%description -n falcon-kde4
Falcon KDE 4 bindings.

%files -n falcon-kde4
%{_kde_libdir}/kde4/krossfalcon.so
%endif

#------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.3-1
+ Revision: 822102
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.2-1
+ Revision: 818235
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.0-1
+ Revision: 811766
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.97-1
+ Revision: 809381
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.4-1
+ Revision: 803700
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.3-1
+ Revision: 796231
- New release

* Fri Apr 20 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.2-1
+ Revision: 792409
- Disable ruby for now as it fails to build on ruby 1.9
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.0-1
+ Revision: 762480
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.97-1
+ Revision: 758067
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.95-1
+ Revision: 744547
- New upstream tarball
- New upstream tarball $NEW_VERSION
- Import kross-interpreters
- Create folder

